- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Filter QML Type

The Filter element is used to filter items made available through a backend. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- type : enumeration

## Signals

- onFilterChanged()

## Detailed Description

See also QOrganizerItemFilter.

## Property Documentation

type : enumeration

This property holds the type value of this filter. It can be one of:

- Filter.DefaultFilter A filter which matches everything (default).
- Filter.InvalidFilter An invalid filter which matches nothing.
- Filter.IntersectionFilter A filter which matches all organizer items that are matched by all filters it includes.
- Filter.UnionFilter A filter which matches any organizer item that is matched by any of the filters it includes.
- Filter.CollectionFilter A filter which matches any organizer item that is matched by collection.
- Filter.DetailFilter A filter which matches organizer items containing exactly one given detail.
- Filter.DetailFieldFilter A filter which matches organizer items containing one or more details of a particular type with a particular field having a particular value.
- Filter.DetailRangeFilter A filter which matches organizer items containing one or more details of a particular type whose values are within a particular range.
- Filter.IdFilter A filter which matches any organizer item whose ID is contained in a particular list of organizer item IDs.

## Signal Documentation

onFilterChanged()

This signal is emitted, when any of the Filter's or child element's (like DetailFilter, CollectionFilter etc) properties have been changed.

Note: The corresponding handler is `onOnFilterChanged`.